# Update page

_Cms / Pages_

`PUT /cms/pages/{bucketId}`

## Parameters

- `id` (number, required) — The unique identifier of the page to update
- `title` (string, required) — The title of the page
- `slug` (string, required) — The URL-friendly identifier for the page
- `summary` (string, optional) — A brief summary of the page
- `body` (string, optional) — The main page content body
- `categoryId` (number, optional) — The category identifier this page belongs to
- `isPublished` (boolean, optional) — Whether the page is published or not
- `publishedDate` (string, optional) — The publication date in ISO 8601 format
- `imageUrl` (string, optional) — The URL of the page's featured image
- `metaTitle` (string, optional) — SEO meta title for the page
- `metaDescription` (string, optional) — SEO meta description for the page

## Responses

### `200` — Page updated successfully

Type: `GenericResultResponse<boolean>`



## Code Examples

### curl

```curl
curl --request PUT \
 --url https://apis-spb.konso.io/cms/pages/{bucketId} \
 --header 'Content-Type: application/json' \
 --header 'x-api-key: {your-api-key}' \
 --data '{
 "id": 123456,
 "title": "Updated About Us",
 "slug": "updated-about-us",
 "summary": "Updated company information",
 "body": "<h1>Updated About Us</h1><p>Our updated story...</p>",
 "categoryId": 1,
 "isPublished": true,
 "publishedDate": "2023-12-01T10:00:00Z",
 "imageUrl": "https://example.com/updated-about.jpg",
 "metaTitle": "Updated About Us - Company Name",
 "metaDescription": "Learn about our updated company information"
 }'
```

### javascript

```js
const options = {
 method: 'PUT',
 headers: {
 'Content-Type': 'application/json',
 'x-api-key': '{your-api-key}'
 },
 body: JSON.stringify({
 id: 123456,
 title: 'Updated About Us',
 slug: 'updated-about-us',
 summary: 'Updated company information',
 body: '<h1>Updated About Us</h1><p>Our updated story...</p>',
 categoryId: 1,
 isPublished: true,
 publishedDate: '2023-12-01T10:00:00Z',
 imageUrl: 'https://example.com/updated-about.jpg',
 metaTitle: 'Updated About Us - Company Name',
 metaDescription: 'Learn about our updated company information'
 })
};

fetch('https://apis-spb.konso.io/cms/pages/{bucketId}', options)
 .then(response => response.json())
 .then(response => console.log(response))
 .catch(err => console.error(err));
```

### Request Body Example

```json
{
  "id": 12345,
  "title": "example-string",
  "slug": "example-string",
  "summary": "example-string",
  "body": "example-string",
  "categoryId": 12345,
  "isPublished": true,
  "publishedDate": "example-string",
  "imageUrl": "example-string",
  "metaTitle": "example-string",
  "metaDescription": "example-string"
}
```

### Response Example (200)

```json
{
 "result": true
}
```

## Repositories

- [konso-cms-nodejs](https://gitverse.ru/konso/konso-cms-nodejs)
- [konso-cms-dotnet](https://gitverse.ru/konso/konso-cms-dotnet)

## Packages

- `dotnet add package Konso.Clients.Cms` — [Konso.Clients.Cms](https://nugetprodusnc-northcentralus-01.regional.azure-api.net/packages/Konso.Clients.Cms)
- `npm install @konso/cms-client` — [@konso/cms-client](https://www.npmjs.com/package/@konso/cms-client)
